Bug 470860 - amsn causes 100% available cpu usage
amsn causes 100% available cpu usage
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: amsn (Show other bugs)
10
All Linux
medium Severity medium
: ---
: ---
Assigned To: Sander Hoentjen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-10 12:10 EST by David Nielsen
Modified: 2009-12-18 01:48 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 01:48:31 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Nielsen 2008-11-10 12:10:14 EST
Description of problem:
When using amsn to chat with webcams going for both participants amsn tends get into a 100% cpu usage scenerio quite easily within a few minutes. This naturally causes amsn to grey out all it's chat windows, webcam windows freeze in one frame and cease to update.

23853 david     20   0  256m  58m 7700 S 65.9  2.9   8:19.45 wish    

I am unsure how to debug this.

Version-Release number of selected component (if applicable):
amsn-0.97.2-1.fc10.x86_64

How reproducible:
100%

Steps to Reproduce:
1. start chat with webcams going for both parties

Actual results:
as above

Expected results:
joyful continued 

Additional info:
x86_64, da_DK.UTF-8
Comment 1 Sander Hoentjen 2008-11-10 14:25:21 EST
Thanks for the bug report. Can you tell me what webcam and driver you use? I tried to reproduce the problem but cpu usage stayed below 15 percent.
Do you get similar results when using a different program to view the webcam?
Comment 2 David Nielsen 2008-11-10 14:50:55 EST
This is a Creative Live! Cam Optia AF (uvcvideo), no issues with other webcam apps observed.
Comment 3 Sander Hoentjen 2008-11-10 15:45:49 EST
http://forum.eeeuser.com/viewtopic.php?pid=338942 seems related, not sure what to do though.. seems driver related
Comment 4 David Nielsen 2008-11-10 16:46:18 EST
if it helps, it didn't used to happen, only started in the last maybe 2 weeks or so.
Comment 5 Sander Hoentjen 2008-11-11 01:49:18 EST
Hmm, this might have something to do with libv4l then. Maybe Hans has an idea about it?
See also https://fedoraproject.org/wiki/Features/BetterWebcamSupport
Comment 6 Hans de Goede 2008-11-11 03:38:34 EST
I doubt this is caused by libv4l, but lets give it a shot. David, can you please downgrade to the amsn version from here:
http://koji.fedoraproject.org/koji/buildinfo?buildID=58847

That one does not use libv4l and is otherwise identical. If that one reproduces the problem too it is not libv4l related (but probably the driver, try downgrading the kernel next).
Comment 7 David Nielsen 2008-11-11 09:07:52 EST
no dice with the amsn version, what kernel version would you suggest starting with?
Comment 8 Hans de Goede 2008-11-11 15:42:24 EST
(In reply to comment #7)
> no dice with the amsn version, what kernel version would you suggest starting
> with?

Try the 2.6.26.x one from F-9 updates, if that one does not have the problem, go to koji:
http://koji.fedoraproject.org/koji

Search for kernel, and try a couple of 2.6.27 ones spread apart.
Comment 9 Sander Hoentjen 2008-11-11 16:04:19 EST
You can also try the amsn version here, since that is the version you might have run previously:
http://koji.fedoraproject.org/koji/buildinfo?buildID=35735
Comment 10 David Nielsen 2008-11-11 16:49:17 EST
I'd rather not downgrade to a F9 kernel as I am on F10, I suspect that will break everything else. I will search though koji, I figure going back a month would be good, then move back or forth depending on the result. Should narrow it down I hope.
Comment 11 Bug Zapper 2008-11-26 00:08:26 EST
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 12 Sander Hoentjen 2009-03-01 15:51:51 EST
David, do you still see the issues you reported?
Comment 13 David Nielsen 2009-03-01 17:09:23 EST
occasionally, on both F10 and rawhide. Also using the lastest SVN of amsn. I can't seem to catch it in the act though.
Comment 14 Bug Zapper 2009-11-18 03:49:11 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 15 Bug Zapper 2009-12-18 01:48:31 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.